import type { VxeGridProps } from '#/adapter/vxe-table';

import { ref } from 'vue';

import dayjs from 'dayjs';

import { type FormSchemaGetter } from '#/adapter/form';

export const querySchema: FormSchemaGetter = () => [
  /*  {
    component: 'Select',
    componentProps: {
      showSearch: true,
      allowClear: true,
      getPopupContainer
    },
    fieldName: 'equId',
    label: '设备名称'
  },*/
  {
    component: 'Input',
    fieldName: 'keyword',
    componentProps: {
      placeholder: '请输入设备名称或资产编号'
    },
    label: '关键字'
  },
  {
    component: 'DatePicker',
    componentProps: {
      picker: 'year',
      format: 'YYYY',
      valueFormat: 'YYYY',
      placeholder: '请选择月份',
      allowClear: true,
      defaultValue: dayjs().format('YYYY'),
      getPopupContainer: (triggerNode: HTMLElement) => triggerNode.parentNode as HTMLElement
    },
    fieldName: 'selectYear',
    defaultValue: dayjs().format('YYYY'),
    label: '年份选择'
  }
];

export const columns = ref<VxeGridProps['columns']>([
]);
